package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadCOStatusCommandResponse;

public class ReadCOStatusCommand extends ReadMemoryCommand {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1832337387328363476L;

	@Override
	public Class<ReadCOStatusCommandResponse> getResponseClass() {
		return ReadCOStatusCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询一氧化碳报警状态命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READCOSTATUS;
	}

}
